﻿unit SystemUnit;

type 
  /// Представляет 32-разрядное целое число со знаком.
  /// 
  /// Просмотреть исходный код .NET Framework для этого типа Reference Source.
  Int32 = record(System.ValueType, System.IComparable, System.IFormattable, System.IConvertible, System.IComparable<Int32>, System.IEquatable<Int32>)
  {$region Поля}
    /// Представляет наибольшее возможное значение типа System.Int32.
    /// Это поле является константой.
    public const MaxValue : integer = 2147483647;

    /// Представляет минимально допустимое значение типа System.Int32.
    /// Это поле является константой.
    public const MinValue : integer = -2147483648;

  {$endregion}

  {$region Методы}
    /// Сравнивает этот экземпляр с заданным объектом и возвращает значение, указывающее, как соотносятся значения этих объектов.
    /// 
    /// Параметр value: 
    /// Объект для сравнения или значение
    public function CompareTo(value: System.Object): integer;

    /// Сравнивает данный экземпляр с заданным 32-битовым целым числом со знаком и возвращает значение, указывающее, как соотносятся их значения.
    /// 
    /// Параметр value: 
    /// Целое число для сравнения.
    /// 
    /// Возвращаемое значение: 
    /// Знаковое число, представляющее относительные значения этого экземпляра и параметра
    public function CompareTo(value: integer): integer;

    /// Возвращает значение, показывающее, равен ли данный экземпляр заданному объекту.
    /// 
    /// Параметр obj: 
    /// Объект для сравнения с данным экземпляром.
    /// 
    /// Возвращаемое значение: 
    /// Значение
    public function Equals(obj: System.Object): boolean; virtual;

    /// Возвращает значение, указывающее, равен ли этот экземпляр заданному значению типа System.Int32.
    /// 
    /// Параметр obj: 
    /// Значение типа System.Int32 для сравнения с данным экземпляром.
    /// 
    /// Возвращаемое значение: 
    public function Equals(obj: integer): boolean;

    /// Возвращает хэш-код данного экземпляра.
    /// 
    /// Возвращаемое значение: 
    /// Хэш-код в виде 32-разрядного целого числа со знаком.
    public function GetHashCode(): integer; virtual;

    /// Преобразовывает числовое значение данного экземпляра в эквивалентное ему строковое представление.
    /// 
    /// Возвращаемое значение: 
    /// Строковое представление значения данного экземпляра, состоящее из знака минус, если число отрицательное, и последовательности цифр в диапазоне от 0 до 9 с ненулевой первой цифрой.
    public function ToString(): string; virtual;

    /// Преобразует числовое значение данного экземпляра в эквивалентное строковое представление с использованием указанного формата.
    /// 
    /// Параметр format: 
    /// Стандартная или пользовательская строка числового формата.
    /// 
    /// Возвращаемое значение: 
    /// Строковое представление значения данного экземпляра, определяемое параметром
    public function ToString(format: string): string;

    /// Преобразует числовое значение данного экземпляра в эквивалентное ему строковое представление с использованием указанных сведений об особенностях форматирования для данного языка и региональных параметров.
    /// 
    /// Параметр provider: 
    /// Объект, предоставляющий сведения о форматировании для определенного языка и региональных параметров.
    /// 
    /// Возвращаемое значение: 
    /// Строковое представление значения данного экземпляра, определяемое параметром
    public function ToString(provider: System.IFormatProvider): string;

    /// Преобразует числовое значение данного экземпляра в эквивалентное ему строковое представление с использованием указанного формата и сведений об особенностях форматирования для данного языка и региональных параметров.
    /// 
    /// Параметр format: 
    /// Стандартная или пользовательская строка числового формата.
    /// 
    /// Параметр provider: 
    /// Объект, предоставляющий сведения о форматировании для определенного языка и региональных параметров.
    /// 
    /// Возвращаемое значение: 
    /// Строковое представление значения данного экземпляра, определяемое параметрами
    public function ToString(format: string; provider: System.IFormatProvider): string;

    /// Преобразует строковое представление числа в эквивалентное ему 32-битовое целое число со знаком.
    /// 
    /// Параметр s: 
    /// Строка, содержащая преобразуемое число.
    /// 
    /// Возвращаемое значение: 
    /// 32-разрядное целое число со знаком, эквивалентное числу, содержащемуся в параметре
    public static function Parse(s: string): integer;

    /// Преобразует строковое представление числа в указанном формате в эквивалентное ему 32-битовое целое число со знаком.
    /// 
    /// Параметр s: 
    /// Строка, содержащая преобразуемое число.
    /// 
    /// Параметр style: 
    /// Побитовое сочетание значений перечисления, обозначающих элементы стиля, которые могут быть представлены в параметре
    public static function Parse(s: string; style: System.Globalization.NumberStyles): integer;

    /// Преобразует строковое представление числа в указанном формате, соответствующем языку и региональным параметрам, в эквивалентное ему 32-битовое целое число со знаком.
    /// 
    /// Параметр s: 
    /// Строка, содержащая преобразуемое число.
    /// 
    /// Параметр provider: 
    /// Объект, который предоставляет сведения о форматировании параметра
    public static function Parse(s: string; provider: System.IFormatProvider): integer;

    /// Преобразует строковое представление числа в формате, соответствующем языку и региональным параметрам, в эквивалентное ему 32-битовое целое число со знаком.
    /// 
    /// Параметр s: 
    /// Строка, содержащая преобразуемое число.
    /// 
    /// Параметр style: 
    /// Побитовое сочетание значений перечисления, обозначающих элементы стиля, которые могут быть представлены в параметре
    public static function Parse(s: string; style: System.Globalization.NumberStyles; provider: System.IFormatProvider): integer;

    /// Преобразует строковое представление числа в эквивалентное ему 32-битовое целое число со знаком.
    /// Возвращает значение, указывающее, успешно ли выполнено преобразование.
    /// 
    /// Параметр s: 
    /// Строка, содержащая преобразуемое число.
    /// 
    /// Параметр result: 
    /// При возвращении этим методом содержит 32-разрядное целочисленное значение со знаком, эквивалентное числу, содержащемуся в параметре
    public static function TryParse(s: string; var result: integer): boolean;

    /// Преобразует строковое представление числа в формате, соответствующем языку и региональным параметрам, в эквивалентное ему 32-битовое целое число со знаком.
    /// Возвращает значение, указывающее, успешно ли выполнено преобразование.
    /// 
    /// Параметр s: 
    /// Строка, содержащая преобразуемое число.
    /// Строка интерпретируется с использованием стиля, указанного в
    public static function TryParse(s: string; style: System.Globalization.NumberStyles; provider: System.IFormatProvider; var result: integer): boolean;

    /// Возвращает System.TypeCode для типа значения System.Int32.
    /// 
    /// Возвращаемое значение: 
    /// Константа перечислимого типа, System.TypeCode.Int32.
    public function GetTypeCode(): System.TypeCode;

  {$endregion}

  end;

end.
